Roomability Guest API
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Rooms
Roomability Guest API
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
      GET
    • View Apartment Details
      GET
    • Get Avaliable Apartments
      GET
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Rooms

View Room Details

GET
/users/rooms/6713b321f958fa8c1151af33
Last modified:2026-03-12 17:03:01

Request

None

Responses

đŸŸ¢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/users/rooms/6713b321f958fa8c1151af33'
Response Response Example
{
    "status": true,
    "message": "QUERY_SUCCESS",
    "data": {
        "_id": "65730f559dff2b77a883212c",
        "price": 58750,
        "location": "motherland resort",
        "bookedStatus": false,
        "description": "<p>The Royal Single is a cosy, single-occupancy room featuring a balcony with a serene lake view. It’s tastefully decorated and equipped with practical amenities including a 6 feet by 7 feet bed, storage space, a mini fridge, air conditioning, a smart TV, a hairdryer, and facilities for making tea or coffee. Enjoy the comfort and convenience during your stay.</p>",
        "facilities": [
            "Air Condition",
            "Ree Wi-Fi",
            "Nice View",
            "24hr Electricity"
        ],
        "comments": [],
        "images": [
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361318_0_image%2Fjpeg?alt=media&token=e5c9b98a-9c92-4ca8-97f4-354f74732b50",
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361339_5_image%2Fjpeg?alt=media&token=5f90a5e7-0668-48e1-8a1f-4864bffac816",
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/IMG_3994.JPG?alt=media&token=a08ab4a6-220d-48fe-80fd-645670804fce",
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/IMG_4000.JPG?alt=media&token=205da293-215f-4900-bb62-d4344ceb9463",
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361363_11_image%2Fjpeg?alt=media&token=99c4685d-6d5b-46e1-9b5d-b8a42457cdd1",
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361386_14_image%2Fjpeg?alt=media&token=f8ed41b3-8e56-43a3-a095-cd28adb0d9aa"
        ],
        "createdAt": "2023-12-08T12:43:01.094Z",
        "updatedAt": "2024-03-25T21:36:40.399Z",
        "__v": 0,
        "isToggle": "on",
        "type": "Deluxe Suite",
        "availableRooms": 4,
        "totalRooms": 14,
        "bookedDates": [
            [
                "2024-11-07",
                "2024-11-08",
                "2024-11-09"
            ]
        ]
    }
}
Modified at 2026-03-12 17:03:01
Previous
Get All Rooms
Next
Filter Rooms
Built with